1 Reply Latest reply: Jul 28, 2014 1:59 PM by Kappy
Dalmacijo Level 1 Level 1 (0 points)

I want to buy a new wireless keyboard but the specs for it require OSX v.10.6.8 or later. My iMac is v 10.5.8. Will the new keyboard work with my iMac??

iMac, Mac OS X (10.5.8)